Bug 171419 - New port: finance/trytond_product_cost_fifo
Summary: New port: finance/trytond_product_cost_fifo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 19:00 UTC by Matthias Petermann
Modified: 2012-09-19 15:40 UTC (History)
0 users

See Also:


Attachments
file.shar (5.00 KB, text/plain)
2012-09-07 19:00 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-07 19:00:16 UTC
This port adds the Product Cost Fifo Module to the Tryton Application
Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-08 02:21:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 Boris Samorodov freebsd_committer 2012-09-19 14:51:39 UTC
Responsible Changed
From-To: wen->bsam

I'll help Wen to adopt the port.
Comment 3 Boris Samorodov freebsd_committer 2012-09-19 15:34:20 UTC
State Changed
From-To: open->closed

Committed, thanks.
Comment 4 dfilter service freebsd_committer 2012-09-19 15:34:23 UTC
Author: bsam
Date: Wed Sep 19 14:34:13 2012
New Revision: 304523
URL: http://svn.freebsd.org/changeset/ports/304523

Log:
  Add trytond_product_cost_fifo 2.4.0, tryton Application Platform
  (Product Cost Fifo Module).
  
  PR:		ports/171419
  Submitted by:	matthias@petermann.it

Added:
  head/finance/trytond_product_cost_fifo/
  head/finance/trytond_product_cost_fifo/Makefile   (contents, props changed)
  head/finance/trytond_product_cost_fifo/distinfo   (contents, props changed)
  head/finance/trytond_product_cost_fifo/pkg-descr   (contents, props changed)
  head/finance/trytond_product_cost_fifo/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Wed Sep 19 14:32:45 2012	(r304522)
+++ head/finance/Makefile	Wed Sep 19 14:34:13 2012	(r304523)
@@ -130,6 +130,7 @@
     SUBDIR += trytond_ldap_connection
     SUBDIR += trytond_party
     SUBDIR += trytond_product
+    SUBDIR += trytond_product_cost_fifo
     SUBDIR += trytond_product_cost_history
     SUBDIR += trytond_product_measurements
     SUBDIR += trytond_product_price_list

Added: head/finance/trytond_product_cost_fifo/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_product_cost_fifo/Makefile	Wed Sep 19 14:34:13 2012	(r304523)
@@ -0,0 +1,21 @@
+# Created by: Matthias Petermann<matthias@petermann.it>
+# $FreeBSD$
+
+PORTNAME=	trytond_product_cost_fifo
+PORTVERSION=	2.4.0
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Product Cost Fifo Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_product>=2.4.0:${PORTSDIR}/finance/trytond_product \
+		trytond_stock>=2.4.0:${PORTSDIR}/finance/trytond_stock
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_product_cost_fifo/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_product_cost_fifo/distinfo	Wed Sep 19 14:34:13 2012	(r304523)
@@ -0,0 +1,2 @@
+SHA256 (trytond_product_cost_fifo-2.4.0.tar.gz) = 2bfe689e937a9f5008d6050c8363132bd6528c96b604bf0fb5f592270239fc6e
+SIZE (trytond_product_cost_fifo-2.4.0.tar.gz) = 20963

Added: head/finance/trytond_product_cost_fifo/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_product_cost_fifo/pkg-descr	Wed Sep 19 14:34:13 2012	(r304523)
@@ -0,0 +1,4 @@
+This port adds the Product Cost Fifo Module to the Tryton Application
+Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_product_cost_fifo/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_product_cost_fifo/pkg-plist	Wed Sep 19 14:34:13 2012	(r304523)
@@ -0,0 +1,35 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/move.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/move.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/move.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/product.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/product.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/product.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/product_cost_fifo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"